Subject: bug#23444: 25.0.92; activate-mark-hook does not run after a command has changed the region

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2021 17:21:43 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 07 Feb 2021 14:30:51 +0100
> Cc: [email-masked]
> 
> That is, the hook is only run if the command changes the buffer, which
> then reactivates the mark.  And I can confirm that that's how it's
> actually working: If you mark a region in a buffer, switch to a
> different buffer, and then back again, the hook is run (after the region
> has been activated again).
> 
> And that makes sense to me, I think?  Does anybody know whether this is
> how it's supposed to work?  If so, the fix would be to alter the
> documentation.

Yes, I think the manual actually intended to describe what the
implementation does, but failed to be accurate enough.  So it needs to
be fixed.